> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Creates a new user account with the provided information.



## OpenAPI

````yaml POST /api/v1/users
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/users:
    post:
      tags:
        - User
      summary: Create User
      description: Creates a new user account with the provided information.
      operationId: createUser
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Must not be greater than 255 characters.
                  example: b
                email:
                  type: string
                  description: Must be a valid email address.
                  example: zbailey@example.net
                password:
                  type: string
                  description: Must be at least 8 characters.
                  example: '-0pBNvYgxw'
              required:
                - name
                - email
                - password
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44b7g7anh4nrycctha1ym
                    name: Jane Smith
                    email: antonio24@example.net
                    created_at: '2026-05-01T06:38:00.000000Z'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44b7g7anh4nrycctha1ym
                      name:
                        type: string
                        example: My Agent
                      email:
                        type: string
                        example: antonio24@example.net
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:00.000000Z'
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````